# Call CamiTK CMake Macro to define the component
camitk_extension(   COMPONENT_EXTENSION
                    INSTALL_ALL_HEADERS
                    DESCRIPTION "This tutorial show how to override the pointPicked and cellPicked method to interact directly with your component"
                    NEEDS_COMPONENT_EXTENSION vtkmesh
                    ENABLE_AUTO_TEST
                    # this component extension does not implemented the save method: only level 1 test can be performed
                    AUTO_TEST_LEVEL 1
)

# Additional test for SDK actions: this will add auto test for the given actions using the pmlcomponent
camitk_additional_action_test(ACTION_EXTENSIONS basicmesh basictopology meshprocessing
)
